/****************************************************************
Widget Streams-T - Windows Mobile 6.5 widget for Marketplace

Contact: widget@todaypda.com

Copyright (c) 2009 TodayPDA.com.  All rights reserved.
****************************************************************/

var REFRESH_MENU_ITEM_ID=1000,
SETTINGS_MENU_ITEM_ID=1001,
HELP_MENU_ITEM_ID=1002,
FAVORITES_MENU_ITEM_ID=1003;

function onMenuItem(a){
  switch(a){
    case REFRESH_MENU_ITEM_ID:load_refresh(refreshpage,'content');
    break;
    case FAVORITES_MENU_ITEM_ID:load(LANG_URL['favorites'] + 'favorites_id=' + getSetting('streamFavorites') + '&','content');
    break;
    case SETTINGS_MENU_ITEM_ID:load(LANG_URL['settings'],'content');
    break;
    case HELP_MENU_ITEM_ID:load(LANG_URL['help'],'content');
    break;
    default:document.getElementById('content').innerHTML = LANG_TEXT['content_start'];load_url_noerror(LANG_URL['news'], 'content_news');
  }
}

function createMenuItems(){
  var a=direct_createMenuItem(FAVORITES_MENU_ITEM_ID,LANG_TEXT['favorites'],onMenuItem); 
  if(a) { 
    direct_appendMenuItem(a);
  }
  a=direct_createMenuItem(SETTINGS_MENU_ITEM_ID,LANG_TEXT['settings'],onMenuItem);  
  if(a) { 
    direct_appendMenuItem(a);
  }
  a=direct_createMenuItem(HELP_MENU_ITEM_ID,LANG_TEXT['help'],onMenuItem);
  if(a) { 
    direct_appendMenuItem(a);
    a=null;
  }
}

function createSingleMenuItem(c,d,b){
  var a=direct_createMenuItem(c,d,b);
  if(a) { 
    direct_setRightSoftKey(a);
  }
  a=null;
}

function enableMenuItems(){
 direct_toggleMenuItem(SETTINGS_MENU_ITEM_ID,true);
 direct_toggleMenuItem(HELP_MENU_ITEM_ID,true);
 SetLeftSoftKeyToRefresh();
}

function disableMenuItem(a){
  if(a) { 
    direct_toggleMenuItem(a,false);
  }
}

function SetLeftSoftKeyToRefresh(){
  setLeftSoftKey(REFRESH_MENU_ITEM_ID);
}

function setLeftSoftKey(id) {
    var callBack = onMenuItem;
    var mi = null;
    switch (id) {
        case REFRESH_MENU_ITEM_ID:
            mi =direct_createMenuItem(REFRESH_MENU_ITEM_ID, LANG_TEXT['refresh'], callBack);
            break;
        default:
            break;
    }
    if (mi) {
       direct_setLeftSoftKey(mi);
    }
}
